Create revision
POST
https://api.catenda.com/v2/projects/{project-id}/libraries/{library-id}/items/{library-item-id}/revisions
project-idstringCatenda project id
library-idstringId of the library
library-item-idstringId of the library item
acceptstringGenerated from available response content types
Bimsync-Paramsobject<p>Upload parameters, as a JSON object.</p>
<p>Required with <strong>Content-Type: application/octet-stream</strong>. Percent-encode any non-ASCII characters in <code>name</code>, or send the parameters via the request body with <strong>Content-Type: multipart/form-data</strong>.</p>
Bimsync-Paramsobject
filestring<binary>The contents of the file.
200OK
curl --request POST \
--url https://api.catenda.com/v2/projects/{project-id}/libraries/{library-id}/items/{library-item-id}/revisions \
--header 'accept: application/json' \
--header 'content-type: application/octet-stream' \
--header 'bimsync-params: {"name":"string"}' \
--form 'Bimsync-Params="{\"name\":\"string\"}"' \
--form 'file=@"/path/to/file"'